LWP_CACHE_CREDS(9)

NAME
LWP_CACHE_CREDS - synchronize LWP credential with process credential

SYNOPSIS
#include <sys/lwp.h>
void
LWP_CACHE_CREDS(lwp_t *l, struct proc *p);

DESCRIPTION
LWP_CACHE_CREDS() updates the LWP's cached credential to match with the process' credential if the latter has been changed after the last synchronization.

Each LWPs have its cached credential so that it can be used without worrying about potential of other LWP changing the process' credential. kauth_cred_get() returns the cached credential.

LWP_CACHE_CREDS() is called by MD entry code for system call and various traps. LWPs which can live in kernel for long period should call LWP_CACHE_CREDS() by itself to refresh its credential.

LWP_CACHE_CREDS() takes the following arguments.

l   The calling lwp.

p   The process which the lwp l belongs to.

LWP_CACHE_CREDS() might be implemented as a macro.

SEE ALSO
intro(9), kauth(9)